function [H] = clear_image(I,G)

BLUES = G(:,:,3);
GREENS = G(:,:,2);
REDS = G(:,:,1);

H=I;
G= double(H);
[FX,FY] = gradient(G);
grad_size= sqrt(FX.^2+FY.^2); 

%Calculating the image color avg
%=============================

TGreensAvg = mean2(GREENS);
TBluesAvg = mean2(BLUES);
TRedsAvg = mean2(REDS);
 
window_size=14;
half= window_size/2;
L= size(H,1) -half;
M= size(H,2) -half;

%Scaning the image with a window
%============================
 for i=half+1:L
    for j=half+1:M
        Gradwindow=grad_size(i-half:i+half,j-half:j+half); 
        Blueswindow=BLUES(i-half:i+half,j-half:j+half); 
        Greenswindow=GREENS(i-half:i+half,j-half:j+half); 
        Redswindow=REDS(i-half:i+half,j-half:j+half); 
        GradAvg = mean(mean(Gradwindow));%the average gradient value in the window
        BluesAvg = mean(mean(Blueswindow));%the average blue value in the window
        GreensAvg = mean(mean(Greenswindow));%the average green value in the window
        RedsAvg  = mean(mean(Redswindow));%the average red value in the window
  
         if (GradAvg<2) %filtering very low gradient values
                H(i-half:i+half,j-half:j+half) = 0;
         end
         if (GradAvg>35) %filtering very high gradient values
                H(i-half:i+half,j-half:j+half) = 0;
         end
         if ((BluesAvg -GreensAvg>10)&&(RedsAvg-GreensAvg>10));
                H(i-half:i+half,j-half:j+half) = 0;
         end
         if (BluesAvg -GreensAvg>20)
                H(i-half:i+half,j-half:j+half) = 0;
         end
         
        if (RedsAvg -GreensAvg>25)
                H(i-half:i+half,j-half:j+half) = 0;
         end
          end
    end
 end
